# HG changeset patch
# Node ID 45a48655bd33
# Parent  b5b1bffc48fb
diff --git a/libpurple/media/backend-fs2.h b/libpurple/media/backend-fs2.h
--- a/libpurple/media/backend-fs2.h
+++ b/libpurple/media/backend-fs2.h
@@ -25,15 +25,6 @@
 
 #ifndef PURPLE_MEDIA_BACKEND_FS2_H
 #define PURPLE_MEDIA_BACKEND_FS2_H
-/*
- * SECTION:backend-fs2
- * @section_id: libpurple-backend-fs2
- * @short_description: <filename>media/backend-fs2.h</filename>
- * @title: Farstream backend for media API
- *
- * This file should not yet be part of libpurple's API.
- * It should remain internal only for now.
- */
 
 #include <glib-object.h>
 
diff --git a/libpurple/media/backend-iface.h b/libpurple/media/backend-iface.h
--- a/libpurple/media/backend-iface.h
+++ b/libpurple/media/backend-iface.h
@@ -25,12 +25,6 @@
 
 #ifndef PURPLE_MEDIA_BACKEND_IFACE_H
 #define PURPLE_MEDIA_BACKEND_IFACE_H
-/**
- * SECTION:backend-iface
- * @section_id: libpurple-backend-iface
- * @short_description: <filename>media/backend-iface.h</filename>
- * @title: Interface for Media Backends
- */
 
 #include "codec.h"
 #include "enum-types.h"
diff --git a/libpurple/media/candidate.h b/libpurple/media/candidate.h
--- a/libpurple/media/candidate.h
+++ b/libpurple/media/candidate.h
@@ -25,12 +25,6 @@
 
 #ifndef PURPLE_MEDIA_CANDIDATE_H
 #define PURPLE_MEDIA_CANDIDATE_H
-/**
- * SECTION:candidate
- * @section_id: libpurple-candidate
- * @short_description: <filename>media/candidate.h</filename>
- * @title: Candidate for Media API
- */
 
 #include "enum-types.h"
 
diff --git a/libpurple/media/codec.h b/libpurple/media/codec.h
--- a/libpurple/media/codec.h
+++ b/libpurple/media/codec.h
@@ -26,13 +26,6 @@
 #ifndef PURPLE_MEDIA_CODEC_H
 #define PURPLE_MEDIA_CODEC_H
 
-/**
- * SECTION:codec
- * @section_id: libpurple-codec
- * @short_description: <filename>media/codec.h</filename>
- * @title: Codec for Media API
- */
-
 #include "enum-types.h"
 
 /**
diff --git a/libpurple/media/enum-types.h b/libpurple/media/enum-types.h
--- a/libpurple/media/enum-types.h
+++ b/libpurple/media/enum-types.h
@@ -25,12 +25,6 @@
 
 #ifndef PURPLE_MEDIA_ENUM_TYPES_H
 #define PURPLE_MEDIA_ENUM_TYPES_H
-/**
- * SECTION:enum-types
- * @section_id: libpurple-enum-types
- * @short_description: <filename>media/enum-types.h</filename>
- * @title: Enum types for Media API
- */
 
 #include <glib-object.h>
 
diff --git a/libpurple/nat-pmp.h b/libpurple/nat-pmp.h
--- a/libpurple/nat-pmp.h
+++ b/libpurple/nat-pmp.h
@@ -30,12 +30,6 @@
 
 #ifndef PURPLE_NAT_PMP_H
 #define PURPLE_NAT_PMP_H
-/**
- * SECTION:nat-pmp
- * @section_id: libpurple-nat-pmp
- * @short_description: <filename>nat-pmp.h</filename>
- * @title: NAT-PMP Implementation
- */
 
 #include <glib.h>
 
diff --git a/libpurple/network.h b/libpurple/network.h
--- a/libpurple/network.h
+++ b/libpurple/network.h
@@ -25,12 +25,6 @@
 
 #ifndef PURPLE_NETWORK_H
 #define PURPLE_NETWORK_H
-/**
- * SECTION:network
- * @section_id: libpurple-network
- * @short_description: <filename>network.h</filename>
- * @title: Network API
- */
 
 #include <glib.h>
 #include <gio/gio.h>
diff --git a/libpurple/notify.h b/libpurple/notify.h
--- a/libpurple/notify.h
+++ b/libpurple/notify.h
@@ -25,13 +25,6 @@
 
 #ifndef PURPLE_NOTIFY_H
 #define PURPLE_NOTIFY_H
-/**
- * SECTION:notify
- * @section_id: libpurple-notify
- * @short_description: <filename>notify.h</filename>
- * @title: Notification API
- * @see_also: <link linkend="chapter-signals-notify">Notify signals</link>
- */
 
 #include <stdlib.h>
 #include <glib-object.h>
diff --git a/libpurple/pluginpref.h b/libpurple/pluginpref.h
--- a/libpurple/pluginpref.h
+++ b/libpurple/pluginpref.h
@@ -26,12 +26,6 @@
 
 #ifndef PURPLE_PLUGINPREF_H
 #define PURPLE_PLUGINPREF_H
-/**
- * SECTION:pluginpref
- * @section_id: libpurple-pluginpref
- * @short_description: <filename>pluginpref.h</filename>
- * @title: Plugin Preferences Frontend
- */
 
 typedef struct _PurplePluginPrefFrame		PurplePluginPrefFrame;
 typedef struct _PurplePluginPref		PurplePluginPref;
diff --git a/libpurple/plugins.h b/libpurple/plugins.h
--- a/libpurple/plugins.h
+++ b/libpurple/plugins.h
@@ -25,15 +25,6 @@
 
 #ifndef PURPLE_PLUGINS_H
 #define PURPLE_PLUGINS_H
-/**
- * SECTION:plugins
- * @section_id: libpurple-plugins
- * @short_description: <filename>plugins.h</filename>
- * @title: Plugin API
- * @see_also: <link linkend="chapter-signals-plugin">Plugin signals</link>,
- *     <link linkend="chapter-plugin-ids">Plugin IDs</link>,
- *     <link linkend="chapter-plugin-i18n">Third Party Plugin Translation</link>
- */
 
 #include <gplugin.h>
 #include <gplugin-native.h>
diff --git a/libpurple/prefs.h b/libpurple/prefs.h
--- a/libpurple/prefs.h
+++ b/libpurple/prefs.h
@@ -26,12 +26,6 @@
 
 #ifndef PURPLE_PREFS_H
 #define PURPLE_PREFS_H
-/**
- * SECTION:prefs
- * @section_id: libpurple-prefs
- * @short_description: <filename>prefs.h</filename>
- * @title: Preferences API
- */
 
 #include <glib.h>
 
diff --git a/libpurple/protocols.h b/libpurple/protocols.h
--- a/libpurple/protocols.h
+++ b/libpurple/protocols.h
@@ -25,12 +25,6 @@
 
 #ifndef PURPLE_PROTOCOLS_H
 #define PURPLE_PROTOCOLS_H
-/**
- * SECTION:protocols
- * @section_id: libpurple-protocols
- * @short_description: <filename>protocols.h</filename>
- * @title: Protocols Subsystem API
- */
 
 /**************************************************************************/
 /* Basic Protocol Information                                             */
diff --git a/libpurple/proxy.h b/libpurple/proxy.h
--- a/libpurple/proxy.h
+++ b/libpurple/proxy.h
@@ -25,12 +25,6 @@
 
 #ifndef PURPLE_PROXY_H
 #define PURPLE_PROXY_H
-/**
- * SECTION:proxy
- * @section_id: libpurple-proxy
- * @short_description: <filename>proxy.h</filename>
- * @title: Proxy API
- */
 
 #include <glib.h>
 #include <gio/gio.h>
diff --git a/libpurple/purple-gio.h b/libpurple/purple-gio.h
--- a/libpurple/purple-gio.h
+++ b/libpurple/purple-gio.h
@@ -27,11 +27,9 @@
 
 #ifndef PURPLE_GIO_H
 #define PURPLE_GIO_H
+
 /**
- * SECTION:purple-gio
- * @section_id: libpurple-purple-gio
- * @short_description: Gio helper functions
- * @title: Purple Gio API
+ * purple_gio:
  *
  * The Purple Gio API provides helper functions for Gio operations which
  * are commonly used within libpurple and its consumers. These contain
